import matplotlib.pyplot as plt
import matplotlib.font_manager as mf

fnts = [ f.name for f in mf.fontManager.ttflist]   #   フォント名のリスト

try:
    pos = 0
    while True:
        plt.figure(figsize = (12, 7))
        plt.title(f'From {pos} to {pos+29}, Total = {len(fnts)}\n') 
        plt.plot([0, 20, 20, 0, 0], [0, 0, -10, -10, 0], lw = 0)
        plt.xticks([])
        plt.yticks([])
        for i in range(15):
            plt.text(1, -0.7*i, '日本語です' + ':' + fnts[pos + i],
                     fontfamily = fnts[pos + i], fontsize = 16)
        for i in range(15):
            plt.text(10, -0.7*i, '日本語です' + ':' + fnts[pos + 15 + i],
                     fontfamily = fnts[pos + 15 + i], fontsize = 16)
        plt.show()
        if input('Go to the next set? (y/n) ') != 'y':
            break
        else:
            pos += 30
except Exception as e:
    plt.show()
    print(e)
